> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corebanq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create permission

> Create a new RBAC permission



## OpenAPI

````yaml post /v1/rbac
openapi: 3.0.0
info:
  title: RBAC API
  version: 1.0.0
  description: API for Role-Based Access Control management
servers: []
security:
  - bearerAuth: []
tags:
  - name: RBAC
    description: Role-Based Access Control operations
paths:
  /v1/rbac:
    post:
      tags:
        - RBAC
      summary: Create permission
      description: Create a new RBAC permission
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateRbacPermission'
      responses:
        '200':
          description: Permission created successfully
components:
  schemas:
    CreateRbacPermission:
      type: object
      required:
        - actor_id
        - type
        - rec_type
        - permission
      properties:
        actor_id:
          type: string
          format: uuid
        type:
          type: string
          enum:
            - user
            - role
        rec_id:
          type: string
          format: uuid
        rec_type:
          type: string
        permission:
          type: string
          pattern: ^[CRUDA]+$
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````